Advanced search  

News:

cpg1.5.48 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter a recently discovered vulnerability. It is important that all users who run version cpg1.5.46 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: Re: I'm having trouble with the 3.6 version I am getting a  (Read 12421 times)

0 Members and 1 Guest are viewing this topic.

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop

Dear Etienne,
Today I gave a shot to 3.6 to see if it solve my problem with Stramm's mod and JUploaded pics although it is not mentioned in "what's new" section. The 3.6 gave me "^success" error. I deinstalled 3.6 and installed previous version which now ran with same error so now I can't make a JUpload to work for me anymore. :(

Hi,

 The error is due to an internal bug of the applet. It has already been reported, but I couldn't repeat it. So ... it's still open.

Can you precise:
- Your client OS, navigator (Firefox 3.0.11 on Windows XP, from what I've read)
WinXP Pro SP3, FF 3.0.11, but same happens with IE7
- Do you use a proxy ?
No proxy
- On server side: I read Apache (which version?), with PHP 5.2.5, on which OS ?
Apache/2.2.11 (Unix),  PHP/5.2.9 on Linux 2.6.18-92.1.22.el5 #1 SMP x86_64

Etienne

Do You need additional information?

Best regards,
Zoran
Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #1 on: June 28, 2009, 11:04:47 am »

I am sorry Neo_rambo if my post was not clear to you at first reading, bcz English is not my native language.

I can see that three minutes later you understood it, but my post still has "Turned down" status.

I hope this status will not affect the process of helping us.

Regards,
Zoran
Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #2 on: June 28, 2009, 07:05:31 pm »

I have the same problem. I have updated Jupload from 3.2.4 to 3.6.0 and get the error:
"Unable to access to PostURL:'http://hostname/cpg/index.php?file=jupload/jupload&action=upload_picture&album=0'

When i ignore this error and try to upload a picture i get another error:
wjhk.jupload2.exception.JUploadException:unexpected EOF (in header)

I uninstalled the new version and installed several older versions that worked before. They all came up with the same error.
I updated coppermine 1.4.19 to 1.4.25 with the same result. The normal upload process works still fine.

It looks to me that You post this in wrong thread, should go here: http://forum.coppermine-gallery.net/index.php/topic,59337.0.html

Regards,
Zoran
Logged

etienne_sf

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 908
    • Wiki
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #3 on: June 28, 2009, 08:59:50 pm »

THREAD SPLITTED, AS IS IT TOO HARD TO FOLLOW ANSWER FROM DIFFERENT PERSONS, HAVING DIFFERENT CONFIGURATIONS IN ONE THREAD
Logged

etienne_sf

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 908
    • Wiki
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #4 on: June 28, 2009, 09:00:36 pm »

Can you post the debug output, with debug on ?

I miss the interesting part of the server answer, with default output level.

Etienne
Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #5 on: June 29, 2009, 06:34:05 pm »

Dear Etienne,

First of all, please accept my deepest appology, I never had an intention of hijacking threads or causing any trouble to anyone.

Second, I hope that this attached file is what you asked for. I also attached screen with error message this time received with DEBUG admin setting of the plugin.

Best wishes,
Zoran
Logged

etienne_sf

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 908
    • Wiki
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #6 on: June 29, 2009, 07:02:35 pm »

No problem !

  now: it's actually the same problem, and the real problem is: I can't repeat it on my own computer !  :-\

Some end-of-line characters, and, believe what: this stupid computer is lost. The user session is not retrieved.

Now, same comment as in the other thread: can somone give me an admin access, so that I understand what's happening ???


(sk8connection  give me a hint, with some PHP settings that could create some troubles, I'll test with them, first).
Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #7 on: June 29, 2009, 08:25:36 pm »

NP Etienne,
I created an admin account for You, just tell me the way of sending account info to You?

Zoran
Logged

etienne_sf

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 908
    • Wiki
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #8 on: June 30, 2009, 10:34:36 am »

NP Etienne,
I created an admin account for You, just tell me the way of sending account info to You?

Zoran

Great !

  By PM would be nice. If it's not Ok for you, send me a PM, and I'll send you my personal mail.

Etienne
Logged

etienne_sf

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 908
    • Wiki
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #9 on: July 01, 2009, 10:15:36 pm »

Hum, hum,

  That's a complex one. It works for me, on your site !


There still a good point, here: it's probably only on client side. Then, I've seen a slight difference:
my user-agent is: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.0.11) Gecko/2009060215 Firefox/3.0.11 (.NET CLR 3.5.30729)
Yours is: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.11) Gecko/2009060215 Firefox/3.0.11

(without  (.NET CLR 3.5.30729) at the end)

  This 'extension' is a Microsoft 'gift'.
See http://support.microsoft.com/kb/963707

I'll remove it, and return to you.

At least, this means that you don't have exactly the same client computer...


Etienne

For me: Problem in this thread is, that the user-Agent is concatenated with the cookie string, so it's not sent to the server. The session is then lost.
Logged

etienne_sf

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 908
    • Wiki
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #10 on: July 01, 2009, 10:57:31 pm »

Hum, hum,

  It still work for me. I tested with IE 7: it works too. >:(

I can create a workaround, and i'll do it if I must. But there is a problem somewhere, and I don't like that.

Questions:
1) Can you precise the way you connect to Internet ?  Is it possible that you have a transparent proxy somewhere, that would change the server response ?
2) To help me: can you post the source of the page that contains the JUpload applet ?
At least, the applet tag, whose name is JUpload. At the end, you should read:
Code: [Select]
<PARAM NAME='specificHeaders' VALUE='Cookie: 52e6a9a111e68751885df818874e9a73=477b4289732ba0233c7c530b6ddc5e1f; coppermine_data=YTozOntzOjI6IklEIjtzOjMyOiI0MmNkOThkODk0NWJjZGFhNGU1NGNiMDY0MDJhNjIzMSI7czoyOiJhbSI7aToxO3M6NDoibGFuZyI7czo2OiJmcmVuY2giO30%3D; __utma=250568068.4110363468638067700.1246480359.1246480359.1246480359.1; __utmb=250568068.3.10.1246480359; __utmc=250568068; __utmz=250568068.1246480359.1.1.utmcsr%3D%28direct%29%7Cutmccn%3D%28direct%29%7Cutmcmd%3D%28none%29
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; MS-RTC LM 8; InfoPath.1)'>

The important point here, is that the User-Agent is at the beginning of a line.

Etienne
Logged

etienne_sf

  • Moderator
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 908
    • Wiki
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #11 on: July 01, 2009, 11:45:31 pm »

I guess I've found.

  but I can't test it, as it works for me. Can you try this package ?
http://forum.coppermine-gallery.net/index.php?action=dlattach;topic=60331.0;attach=22396

Etienne
Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #12 on: July 02, 2009, 10:20:45 am »

Hum, hum,

  That's a complex one. It works for me, on your site !


There still a good point, here: it's probably only on client side. Then, I've seen a slight difference:
my user-agent is: Mozilla/5.0 (Windows; U; Windows NT 5.1; fr; rv:1.9.0.11) Gecko/2009060215 Firefox/3.0.11 (.NET CLR 3.5.30729)
Yours is: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.11) Gecko/2009060215 Firefox/3.0.11

(without  (.NET CLR 3.5.30729) at the end)

  This 'extension' is a Microsoft 'gift'.
See http://support.microsoft.com/kb/963707

I'll remove it, and return to you.

At least, this means that you don't have exactly the same client computer...


Etienne

For me: Problem in this thread is, that the user-Agent is concatenated with the cookie string, so it's not sent to the server. The session is then lost.

OK Etienne,
I installed .NET described in the above link on Microsoft site, so now my FF is:
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.11) Gecko/2009060215 Firefox/3.0.11 (.NET CLR 3.5.30729).

Then I tested Jupload in FF and IE7, same error appears again in both. I attached debug info.

I also tested on FF 3.0.11 on friends laptop - we got same error.

Zoran
Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #13 on: July 02, 2009, 10:24:18 am »

Hum, hum,

  It still work for me. I tested with IE 7: it works too. >:(

I can create a workaround, and i'll do it if I must. But there is a problem somewhere, and I don't like that.

Questions:
1) Can you precise the way you connect to Internet ?  Is it possible that you have a transparent proxy somewhere, that would change the server response ?
I am on the Telekom's ADSL which is Serbia's first and greatest internet provider. I am not aware if they use proxies, there are no infos about that;
2) To help me: can you post the source of the page that contains the JUpload applet ?
I attached source that FF made AFTER error;
At least, the applet tag, whose name is JUpload. At the end, you should read:
Code: [Select]
<PARAM NAME='specificHeaders' VALUE='Cookie: 52e6a9a111e68751885df818874e9a73=477b4289732ba0233c7c530b6ddc5e1f; coppermine_data=YTozOntzOjI6IklEIjtzOjMyOiI0MmNkOThkODk0NWJjZGFhNGU1NGNiMDY0MDJhNjIzMSI7czoyOiJhbSI7aToxO3M6NDoibGFuZyI7czo2OiJmcmVuY2giO30%3D; __utma=250568068.4110363468638067700.1246480359.1246480359.1246480359.1; __utmb=250568068.3.10.1246480359; __utmc=250568068; __utmz=250568068.1246480359.1.1.utmcsr%3D%28direct%29%7Cutmccn%3D%28direct%29%7Cutmcmd%3D%28none%29
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 2.0.50727; .NET CLR 3.0.4506.2152; .NET CLR 3.5.30729; MS-RTC LM 8; InfoPath.1)'>

The important point here, is that the User-Agent is at the beginning of a line.

Etienne

Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #14 on: July 02, 2009, 10:50:57 am »

I guess I've found.

  but I can't test it, as it works for me. Can you try this package ?
http://forum.coppermine-gallery.net/index.php?action=dlattach;topic=60331.0;attach=22396

Etienne
Sorry Etienne, I was doing step by step after your each post, this was last to do :).

Tried it, works smoothly with .NET on my FF. I will try to uninstal .NET and test functionality of the plugin again. I will keep You informed.

Thanks for Your great effort!

Zoran
Logged

fotke

  • Coppermine novice
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 39
  • I am doing my best, but always open for suggestion
    • Amateur photos for Your desktop
Re: I'm having trouble with the 3.6 version I am getting a
« Reply #15 on: July 02, 2009, 12:47:32 pm »

Dear Etienne,
It works nicely also without .NET 3.5 SP1, but FYI I have installed .NET 3.0 cause I need it for some purpose.

Thank You very much for Your effort and again for the great plugin! This thread is now solved really!

Zoran
Logged
Pages: [1]   Go Up
 

Page created in 0.024 seconds with 20 queries.